## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# GenerateEvent.hpp File Reference

Include dependency graph for GenerateEvent.hpp:

Go to the source code of this file.

## Classes

- class GenerateEvent
    This is the class for events generated by the XSL processor after it generates a new node in the result tree. More...

## Defines

- #define XALAN_GenerateEvent_HEADER_GUARD

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef XERCES_CPP_NAMESPACE_QUALIFIER
  AttributeList AttributeListType

## Define Documentation

#define XALAN_GenerateEvent_HEADER_GUARD

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER AttributeList AttributeListType

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.